From 465305bdb4d05291460d42574c85e0f2c42042aa Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 26 2020 01:02:13 +0000
Subject: [PATCH 409/2232] Add rust::Vec<T>::empty


---

diff --git a/include/cxx.h b/include/cxx.h
index a96e6fa..250eba2 100644
--- a/include/cxx.h
+++ b/include/cxx.h
@@ -206,6 +206,7 @@ template <typename T>
 class Vec final {
 public:
   size_t size() const noexcept;
+  bool empty() const noexcept { return size() == 0; }
 
 private:
   Vec() noexcept;

